All resources All frames

# RelocateFrame

This frame emits a HTTP redirect.

## Inherits

The RelocateFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame

## Attributes description

The RelocateFrame defines the following attributes:

- location
- handle-pathinfo
- permanent-redirect
- use-usual-response
- methods

`location`

semantics
  The relocation location.
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

`handle-pathinfo`

semantics
  Should this frame also handle extra path infos ? Example: `http://yourserver.com/foobar` is relocated at `http://yourserver.com/relocated`. If `handle-pathinfo` is set to true then a request on `http://youserver.com/foobar/index.html` will return a HTTP redirect on `http://yourserver.com/relocated/index.html`.
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to true.

`permanent-redirect`

semantics
  If use-usual-response is not set, you can select the redirect type with this parameter (permanent or temporary).
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to false.

`use-usual-response`

semantics
  If you want your server to use the classical and deprecated "302 Found" response.
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to true.

`methods`

semantics

  Perform the redirection only for the given HTTP methods (GET, PUT, POST, ...). Default is "perform redirection for all methods".
type
  This attribute is an editable StringArrayAttribute
default value

This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.frames.RelocateFrame.html,v 1.8 1999/10/27 22:30:44 ylafon Exp $